#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dhall
version:              1.42.1
visibility:           public
id:                   dhall-1.42.1-5OgCJEQ25TzGtg8EuISFYg
key:                  dhall-1.42.1-5OgCJEQ25TzGtg8EuISFYg
license:              BSD-3-Clause
copyright:            2017 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  611d28d81359d3a44b90131554736ca1
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics
    Dhall.Package Dhall.Parser Dhall.Parser.Expression
    Dhall.Parser.Token Dhall.Pretty Dhall.Repl Dhall.Schemas Dhall.Set
    Dhall.Src Dhall.Substitution Dhall.TH Dhall.Tags Dhall.Tutorial
    Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.DirectoryTree.Types Dhall.Eval Dhall.Import.Types
    Dhall.Import.Headers Dhall.Marshal.Internal Dhall.Normalize
    Dhall.Parser.Combinators Dhall.Pretty.Internal Dhall.Syntax
    Dhall.Syntax.Binding Dhall.Syntax.Chunks Dhall.Syntax.Const
    Dhall.Syntax.Expr Dhall.Syntax.FunctionBinding Dhall.Syntax.Import
    Dhall.Syntax.Instances.Applicative Dhall.Syntax.Instances.Bifunctor
    Dhall.Syntax.Instances.Data Dhall.Syntax.Instances.Eq
    Dhall.Syntax.Instances.Foldable Dhall.Syntax.Instances.Functor
    Dhall.Syntax.Instances.Lift Dhall.Syntax.Instances.Monad
    Dhall.Syntax.Instances.NFData Dhall.Syntax.Instances.Ord
    Dhall.Syntax.Instances.Pretty Dhall.Syntax.Instances.Show
    Dhall.Syntax.Instances.Traversable Dhall.Syntax.MultiLet
    Dhall.Syntax.Operations Dhall.Syntax.RecordField Dhall.Syntax.Types
    Dhall.Syntax.Var Dhall.URL Paths_dhall Dhall.Import.HTTP
    Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dhall-1.42.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.42.1-5OgCJEQ25TzGtg8EuISFYg
depends:
    Diff-0.4.1-50cym4cHUSH1dMhGchMEJr
    aeson-2.1.2.1-4xKrNuS491zGhSp7DRfhkt
    aeson-pretty-0.8.10-3D4GDckc4v7CyGZorD0IoD
    ansi-terminal-1.0.2-ITeMK84EaXB5F8MZcYamKC
    atomic-write-0.2.1.1-JAYcwhoVAPY423hSMobOSz base-4.17.2.1
    base16-bytestring-1.0.2.0-6VVRc1nHWbAJpQiT5kEacA
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-AWFLL2AswjaDL5BPKWbRsE
    cborg-0.2.9.0-4dey1PTA9N9FzdK4py8t25
    cborg-json-0.2.5.0-EbCJOqcrhVo6H1y2YtYxn3 containers-0.6.7
    contravariant-1.5.5-p3peIMeiUA4Z37z2EtgYi
    cryptohash-sha256-0.11.102.1-71hY4hmk78aBQTthPAaM7z
    data-fix-0.3.3-730j51SCAJoLfj9JWm3TQw deepseq-1.4.8.0
    directory-1.3.7.1 dotgen-0.4.3-DCEwHcGESGV7f7E3GHH98g
    either-5.0.2-2AdAjxavoofFGO322EYoy2 exceptions-0.10.5
    filepath-1.4.2.2 half-0.3.2-DludXWaCa7wKuCDZukQ5hv
    hashable-1.4.4.0-909PfscEME9DWRnST3i6i haskeline-0.8.2
    http-client-0.7.17-DWnzQ82R6GVEuoGXPUeuBx
    http-client-tls-0.3.6.4-4mZnXCEMK6pCfijp5pG4DZ
    http-types-0.12.4-85fzTZxpNMH7b6QNionDHa
    indexed-traversable-0.1.4-EwQmXhDmyoCLxEST1s7aCb
    lens-family-core-2.1.3-Ij4qXDXH4U49wX5TL83dlV
    megaparsec-9.6.1-Jkx19coVFk1JA5D6kqyM5U
    mmorph-1.2.0-3nIz0RIlBAUER45blfkK28 mtl-2.2.2
    network-uri-2.6.4.2-LasBgzbxOez8glrUZNmNYq
    optparse-applicative-0.17.1.0-xKs1W8pAM5KVMPAPWPohl
    parser-combinators-1.3.0-11YwG5dPNej79xqbn9HKav
    parsers-0.12.12-BsR3JVgdIVC7709ap6exy9
    pretty-simple-4.1.3.0-vX7nu4em4ZGM4CgowwrNu
    prettyprinter-1.7.1-CU08oRG9nIK9KazFrxtyV7
    prettyprinter-ansi-terminal-1.1.3-6WgUwNT6h0DFD88XDTiY97
    profunctors-5.6.2-FER60SQwmYULwm2rfCBipe
    repline-0.4.2.0-KVntTSpWnVfIRYxV1mly8a
    scientific-0.3.7.0-LbGAkLwJByt1Tv5Onvb1iB
    serialise-0.2.6.1-C6OV2GFY3gMBvCITGOZVEk template-haskell-2.19.0.0
    text-2.0.2 text-manipulate-0.3.1.0-ITTFoKf1kFrKxvF7XfrPTE
    text-short-0.1.6-43O0rgTSYh0Vkn1XUDa74
    th-lift-instances-0.1.20-Bi7KPk5z4IH6p3IPYqEHx time-1.12.2
    transformers-0.5.6.2 unix-2.7.3
    unix-compat-0.7.3-EqoZ29LJmI0D2XKmHBOtT8
    unordered-containers-0.2.20-Ko0oshTaIwM77y5vt748zM
    vector-0.13.1.0-DtCykb5ubgAP5TmqHJqsZ

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

